## neutron-lbaas 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=1.13.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
pyOpenSSL>=16.2.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:43:50 +0000

neutron-lbaas (2:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:53:46 +0000

neutron-lbaas (2:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:51:25 -0500

neutron-lbaas (2:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 15:26:44 +0000

neutron-lbaas (2:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.

  [ James Page ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 17:18:29 +0000

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-barbicanclient (>= 4.0.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openssl (>= 16.2.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-pyasn1 (>= 0.1.8),
 python-pyasn1-modules (>= 0.0.6),
 python-pymysql,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 rename,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Homepage: http://github.com/openstack/neutron-lbaas

Package: neutron-lbaas-common
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Replaces:
 neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service common files.

Package: neutron-lbaasv2-agent
Architecture: all
Depends:
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.

Package: python-neutron-lbaas
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-barbicanclient (>= 4.0.0),
 python-cryptography (>= 1.9),
 python-eventlet (>= 0.18.2),
 python-keystoneauth1 (>= 3.3.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openssl (>= 16.2.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-pyasn1 (>= 0.1.8),
 python-pyasn1-modules (>= 0.0.6),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces:
 neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)


%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	dh_install

# NOTE(jamespage): Some tests need access to /etc/neutron/neutron.conf,
#                  skip these as this file will contain access credentials
#                  so is not world readable.
# neutron_lbaas.tests.unit.agent.test_agent.TestLbaasService.test_main
# neutron_lbaas.tests.unit.common.tls_utils.test_cert_parser.TestTLSParseUtils.test_read_private_key
# neutron_lbaas.tests.unit.services.loadbalancer.agent.test_agent.TestLbaasService.test_main
SKIPTEST := (?!.*TestTLSParseUtils.test_read_private_key.*)(?!.*TestLbaasService.test_main.*)
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	PYTHONPATH=$(CURDIR) testr run --subunit 'neutron_lbaas\.tests\.unit\.$(SKIPTEST)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas neutron-lbaas-(12\.\d.*)\.tar\.gz

## neutron-lbaas 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=1.18.0 # Apache-2.0
neutron>=12.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
PyMySQL>=0.7.6 # MIT License
pyOpenSSL>=17.1.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=1.6.2 # BSD
oslosphinx>=4.7.0 # Apache-2.0
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== tools/nlbaas2octavia/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=4.6.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License

=== debian/changelog ===
neutron-lbaas (1:13.0.0-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:16:25 +0200

neutron-lbaas (1:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 10:02:27 +0200

neutron-lbaas (1:12.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove Python 2.7 in description (Closes: #891950).

 -- David Rabel <david.rabel@noresoft.com>  Fri, 09 Mar 2018 17:23:26 +0100

neutron-lbaas (1:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Blacklist failing tests:
    - agent.test_agent.TestLbaasService.test_main
    - drivers.radware.test_v2_plugin_driver.TestLBaaSDriverRestClient\
                                                       .test_recover_was_called
  * More failing tests because of Py3 switch and ordering:
    - drivers.haproxy.test_jinja_cfg.TestHaproxyCfg.* (non-deterministic)

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 21:25:23 +0100

=== debian/control ===
Source: neutron-lbaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage,
 python3-cryptography (>= 2.1),
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
 tempest (>= 1:16.1.0),
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-lbaas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-lbaas.git
Homepage: https://github.com/openstack/neutron-lbaas

Package: neutron-lbaas-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS agent.

Package: neutron-lbaas-common
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python3-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains common files for the Neutron load balancer.

Package: neutron-lbaasv2-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent v2
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS v2 agent.

Package: python3-neutron-lbaas
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-eventlet,
 python3-keystoneauth1 (>= 3.4.0),
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-neutron-lbaas,
Replaces:
 python-neutron-lbaas,
Recommends:
 iputils-arping,
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library for the Neutron load balancer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_lbaas\.tests\.unit\.(?!(.*test_synchronous_driver.TestHaproxyNSDriver.test_cleanup_name.*|.*test_v2_plugin_driver.TestLBaaSDriver.test_wf_created_on_first_member_creation.*|.*test_v2_plugin_driver.TestLBaaSDriverRestClient.test_flip_servers.*|.*common\.tls_utils\.test_cert_parser\.TestTLSParseUtils\.test_alt_subject_name_parses.*|.*drivers.radware\.test_v2_plugin_driver\.TestLBaaSDriverRestClient\.test_recover_was_called.*|.*agent\.test_agent\.TestLbaasService\.test_main.*|.*drivers\.haproxy\.test_jinja_cfg\.TestHaproxyCfg.*))'

endif

	# lbaas_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-lbaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini \
		--wrap-width 140 \
		--namespace neutron.lbaas.agent \
		--namespace oslo.log
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini DEFAULT interface_driver openvswitch

	# neutron_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/neutron_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas

	# services_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas.service
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf service_providers service_provider LOADBALANCERV2:Haproxy:neutron_lbaas.drivers.haproxy.plugin_driver.HaproxyOnHostPluginDriver:default

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/neutron-lbaas/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-lbaas 13.0.1

=== debian/changelog ===
neutron-lbaas (2:13.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1853320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:40:48 -0500

neutron-lbaas (2:13.0.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 30 Aug 2018 23:24:49 +0000

neutron-lbaas (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:34:54 -0400

neutron-lbaas (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:31:20 -0400

neutron-lbaas (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:00:11 -0400

neutron-lbaas (2:13.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/rules: Purge /usr/etc from python{3}-neutron-lbaas, avoiding
    conflict between the two packages.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jun 2018 15:54:39 +0100

neutron-lbaas (2:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/python-neutron-lbaas.install: Drop, not needed.
    - d/rules: Directly generate sample config files.
    - d/p/py36-compat.patch: Misc Python 3.6 compatibility patches.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 10:52:14 +0100

neutron-lbaas (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:02:10 +0100

neutron-lbaas (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with stestr.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 21:16:21 -0700

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-barbicanclient (>= 4.5.2),
 python-coverage (>= 4.0),
 python-cryptography (>= 2.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:13.0.0~),
 python-neutron-lib (>= 1.18.0),
 python-openssl (>= 17.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-pyasn1 (>= 0.1.8),
 python-pyasn1-modules (>= 0.0.6),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python3-alembic (>= 0.8.10),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 rename,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Homepage: https://github.com/openstack/neutron-lbaas
Testsuite: autopkgtest-pkg-python

Package: neutron-lbaas-common
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python-neutron-lbaas (= ${source:Version}) | python3-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
 python-neutron-lbaas (<< 2:13.0.0~b2-0ubuntu2~),
Replaces:
 neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
 python-neutron-lbaas (<< 2:13.0.0~b2-0ubuntu2~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service common files.

Package: neutron-lbaasv2-agent
Architecture: all
Depends:
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.

Package: python-neutron-lbaas
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-barbicanclient (>= 4.5.2),
 python-cryptography (>= 2.1),
 python-eventlet (>= 0.18.2),
 python-keystoneauth1 (>= 3.4.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:13.0.0~),
 python-neutron-lib (>= 1.18.0),
 python-openssl (>= 17.1.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-pyasn1 (>= 0.1.8),
 python-pyasn1-modules (>= 0.0.6),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces:
 neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Python 2 module for the
 Loadbalancer-as-a-Service driver for Neutron.

Package: python3-neutron-lbaas
Architecture: all
Depends:
 python3-alembic (>= 0.8.10),
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.18.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the
 Loadbalancer-as-a-Service driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with python2,python3,systemd --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	rm -rf $(CURDIR)/debian/python*-neutron-lbaas/usr/etc
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHON=python PYTHONPATH=$(CURDIR) python2-ostestr
	PYTHON=python3 PYTHONPATH=$(CURDIR) python3-ostestr
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository build
	rm -f debian/*.upstart debian/*.init debian/*.service
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron-lbaas neutron-lbaas-(13\.\d.*)\.tar\.gz

## neutron-lbaas 14.0.0

=== debian/changelog ===
neutron-lbaas (2:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:58:40 +0100

neutron-lbaas (2:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 14.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py36-compat.patch: Dropped, equivalent in upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:13:10 +0000

neutron-lbaas (2:14.0.0~b1~git2019031934.2552fb1e5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:17:09 +0000

neutron-lbaas (2:14.0.0~b1~git2019013124.9e7b1156f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:39:08 +0000

neutron-lbaas (2:14.0.0~b1~git2018111646.a8b96e37a-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*.p*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:07:55 +0000

## neutron-lbaas 14.0.1

=== requirements.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 requests>=2.14.2 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=1.18.0 # Apache-2.0
-neutron>=12.0.0 # Apache-2.0
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+neutron-lib>=1.25.0 # Apache-2.0
+neutron>=13.0.0 # Apache-2.0
+SQLAlchemy>=1.2.0 # MIT
 alembic>=0.8.10 # MIT
 six>=1.10.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.37.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
@@ -28,3 +28,9 @@
 stevedore>=1.20.0 # Apache-2.0
 cryptography>=2.1 # BSD/Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
neutron-lbaas (2:14.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 12:18:54 +0000

neutron-lbaas (2:14.0.1-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Stein (LP: #1853319).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 03 Dec 2019 11:59:02 +0100

=== debian/control ===
--- 
+++ 
@@ -14,48 +14,6 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-alembic (>= 0.8.10),
- python-barbicanclient (>= 4.5.2),
- python-coverage (>= 4.0),
- python-cryptography (>= 2.1),
- python-eventlet (>= 0.18.2),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-keystoneauth1 (>= 3.4.0),
- python-mock (>= 2.0.0),
- python-netaddr (>= 0.7.18),
- python-neutron (>= 2:13.0.0~),
- python-neutron-lib (>= 1.18.0),
- python-openssl (>= 17.1.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslosphinx (>= 4.7.0),
- python-oslotest (>= 1:3.2.0),
- python-pyasn1 (>= 0.1.8),
- python-pyasn1-modules (>= 0.0.6),
- python-pymysql (>= 0.7.6),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr (>= 1.0.0),
- python-stevedore (>= 1:1.20.0),
- python-tempest (>= 1:17.1.0),
- python-testrepository (>= 0.0.18),
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-webob (>= 1:1.7.1),
  python3-alembic (>= 0.8.10),
  python3-barbicanclient (>= 4.5.2),
  python3-coverage (>= 4.0),
@@ -67,13 +25,13 @@
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:13.0.0~),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron-lib (>= 1.25.0),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.37.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -90,11 +48,11 @@
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
+ python3-subunit,
  python3-tempest (>= 1:17.1.0),
- python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
@@ -111,7 +69,7 @@
 Depends:
  haproxy,
  neutron-common,
- python-neutron-lbaas (= ${source:Version}) | python3-neutron-lbaas (= ${source:Version}),
+ python3-neutron-lbaas (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -150,54 +108,6 @@
  .
  This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.
 
-Package: python-neutron-lbaas
-Architecture: all
-Depends:
- python-alembic (>= 0.8.10),
- python-barbicanclient (>= 4.5.2),
- python-cryptography (>= 2.1),
- python-eventlet (>= 0.18.2),
- python-keystoneauth1 (>= 3.4.0),
- python-netaddr (>= 0.7.18),
- python-neutron (>= 2:13.0.0~),
- python-neutron-lib (>= 1.18.0),
- python-openssl (>= 17.1.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-pyasn1 (>= 0.1.8),
- python-pyasn1-modules (>= 0.0.6),
- python-pymysql (>= 0.7.6),
- python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- ${misc:Depends},
- ${python:Depends},
-Breaks:
- neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
-Replaces:
- neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
-Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically
- request and configure virtual servers, Neutron provides an API to
- dynamically request and configure virtual networks. These networks
- connect "interfaces" from other OpenStack services (e.g., virtual NICs
- from Nova VMs). The Neutron API supports extensions to provide
- advanced network capabilities (e.g., QoS, ACLs, network monitoring,
- etc.)
- .
- This package provices the Python 2 module for the
- Loadbalancer-as-a-Service driver for Neutron.
-
 Package: python3-neutron-lbaas
 Architecture: all
 Depends:
@@ -208,10 +118,10 @@
  python3-keystoneauth1 (>= 3.4.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:13.0.0~),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron-lib (>= 1.25.0),
  python3-openssl (>= 17.1.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.37.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -225,7 +135,7 @@
  python3-pymysql (>= 0.7.6),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.0),
  python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,systemd --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	rm -rf $(CURDIR)/debian/python*-neutron-lbaas/usr/etc
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository build
	rm -f debian/*.upstart debian/*.init debian/*.service
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-lbaas 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

eventlet>=0.16.1,!=0.17.0
requests>=2.2.0,!=2.4.0
netaddr>=0.7.12
SQLAlchemy>=0.9.7,<=0.9.99
alembic>=0.7.2
six>=1.9.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
python-barbicanclient>=3.0.1
pyasn1
pyasn1_modules
pyOpenSSL>=0.11

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 21~),
 python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 neutron-common (>= 1:2015.1~rc1),
 python-barbicanclient (>= 3.0.1),
 python-cliff (>= 1.10.0),
 python-coverage,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-novaclient (>= 1:2.18.0),
 python-openssl (>= 0.11),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-rootwrap (>= 1.3.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslotest (>= 1.2.0),
 python-pbr (>= 0.6),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.1.0),
 python-subunit (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 testrepository ( >= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/neutron-lbaas

Package: python-neutron-lbaas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

Package: neutron-lbaas-agent
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - LBaaS agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service (LBaaS) agent.
